/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.warehouse.storage.entity;

import com.jeeplus.modules.warehouse.goods.entity.GoodsInfo;
import com.jeeplus.modules.warehouse.materialtype.entity.MaterialType;
import com.jeeplus.modules.warehouse.shelves.entity.Shelves;

import com.jeeplus.core.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 入库明细Entity
 * @author huyi
 * @version 2023-02-13
 */
public class StorageInfo extends DataEntity<StorageInfo> {
	
	private static final long serialVersionUID = 1L;
	private Storage storage;		// 主表id 父类
	private String name;		// 名称
	private MaterialType type;		// 类型
	private String model;		// 型号
	private GoodsInfo goodsInfo;		// 货品明细id
	private Shelves shelves;		// 货架id
	
	public StorageInfo() {
		super();
	}

	public StorageInfo(String id){
		super(id);
	}

	public StorageInfo(Storage storage){
		this.storage = storage;
	}

	public Storage getStorage() {
		return storage;
	}

	public void setStorage(Storage storage) {
		this.storage = storage;
	}
	
	@ExcelField(title="名称", align=2, sort=2)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="类型", fieldType=MaterialType.class, value="type.name", align=2, sort=3)
	public MaterialType getType() {
		return type;
	}

	public void setType(MaterialType type) {
		this.type = type;
	}
	
	@ExcelField(title="型号", align=2, sort=4)
	public String getModel() {
		return model;
	}

	public void setModel(String model) {
		this.model = model;
	}

	@ExcelField(title="货品明细id", align=2, sort=5)
	public GoodsInfo getGoodsInfo() {
		return goodsInfo;
	}

	public void setGoodsInfo(GoodsInfo goodsInfo) {
		this.goodsInfo = goodsInfo;
	}

	@ExcelField(title="货架id", fieldType=Shelves.class, value="shelves.name", align=2, sort=6)
	public Shelves getShelves() {
		return shelves;
	}

	public void setShelves(Shelves shelves) {
		this.shelves = shelves;
	}
	
}